use std::fmt;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Error {
  #[prost(int32, tag = "1")]
  pub code: i32,
  #[prost(string, optional, tag = "2")]
  pub message: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(bytes = "vec", optional, tag = "3")]
  pub data: ::core::option::Option<::prost::alloc::vec::Vec<u8>>,
}

impl fmt::Display for Error {
  fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
    write!(
      f,
      "Error code: {}, message: {:?}, data: {:?}",
      self.code, self.message, self.data
    )
  }
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct InvalidParamsDetail {
  #[prost(string, tag = "1")]
  pub location: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub param: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub value: ::prost::alloc::string::String,
  #[prost(enumeration = "InvalidParamsType", tag = "4")]
  pub error_type: i32,
  #[prost(string, tag = "5")]
  pub message: ::prost::alloc::string::String,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum InvalidParamsType {
  DateTime = 0,
  Decimal = 1,
  EqualsTo = 2,
  Float = 3,
  Integer = 4,
  Range = 5,
  RegEx = 6,
  Required = 7,
  StringLength = 8,
  Url = 9,
}
